import { style, keyframes } from '@vanilla-extract/css';

export const marquee_container = style({
	display:         'flex',
	width:           '100%',
	height:          'max-content',
	overflow:        'hidden',
	backgroundColor: 'black',
	fontSize:        '0.75em',
	'@media': {
		'screen and (min-width: 768px)': {
			fontSize: '1em',
		}
	}
});

export const marquee_sneaky = style({
	position:   'absolute',
	visibility: 'hidden',
	whiteSpace: 'pre',
	width:      'max-content',
});

const scroll_marquee = keyframes({
	'0%':   { left: '   0%' },
	'100%': { left: '-100%' },
});

export const marquee_content = style({
	position:                'relative',
	color:                   'magenta',
	whiteSpace:              'pre',
	width:                   'max-content',
	animationName:            scroll_marquee,
	animationDuration:       '2s',
	animationTimingFunction: 'linear',
	animationIterationCount: 'infinite',
});
